# Gimp.Config.deserialize

    @accepts(Gimp.Config, GLib.Scanner, int, gpointer)
    @returns(bool)
    def deserialize(self, scanner, nest_level, data):
        # Python wrapper for gimp_config_deserialize()

Deserialize the Gimp.Config object.

Since 2.8

self

  a GObject.Object that implements the Gimp.ConfigInterface.

scanner

  the GLib.Scanner to use.

nest_level

  the nest level.

data

  client data.

Returns